org.apache.ignite.internal.processors.cache

## Class GridLocalConfigManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridLocalConfigManager

    public class GridLocalConfigManager
    extends Object

Responsible for restoring local cache configurations (both from static configuration and persistence). Keep stop sequence of caches and caches which were presented on node before node join.

### Constructor Summary

Constructors
Constructor and Description
`GridLocalConfigManager(GridCacheProcessor cacheProcessor, GridKernalContext kernalCtx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<String>` `localCachesOnStart()`
`CacheJoinNodeDiscoveryData` `restoreCacheConfigurations()`
`void` `saveCacheConfiguration(StoredCacheData storedCacheData, boolean overwrite)` Save cache configuration to persistent store if necessary.
`Collection<String>` `stopSequence()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridLocalConfigManager

    public GridLocalConfigManager(GridCacheProcessor cacheProcessor,
                                  GridKernalContext kernalCtx)

Parameters:
  `cacheProcessor` - Cache processor.
  `kernalCtx` - Kernal context.

### Method Detail

#### saveCacheConfiguration

    public void saveCacheConfiguration(StoredCacheData storedCacheData,
                                       boolean overwrite)
                                throws IgniteCheckedException

Save cache configuration to persistent store if necessary.

Parameters:
  `storedCacheData` - Stored cache data.
  `overwrite` - Overwrite existing.
Throws:
  `IgniteCheckedException`

#### stopSequence

    public Collection<String> stopSequence()

#### localCachesOnStart

    public Set<String> localCachesOnStart()

Returns:
  Caches to be started when this node starts.

#### restoreCacheConfigurations

    public CacheJoinNodeDiscoveryData restoreCacheConfigurations()
                                                          throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020